# Authenticatie, invoer en resultaat

## Verstuur adresgegevens om waardes op te vragen

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/woz`

This endpoint allows you to get the latest WOZ values from our database. A POST request requires a body parameter(Address).

#### Headers

| Name                                        | Type   | Description                                                                     |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------- |
| Content-Type                                | string | application/json                                                                |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |

#### Request Body

| Name                                          | Type    | Description                                                                                                                                     |
| --------------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string  | Postcode van het object                                                                                                                         |
| housenumber<mark style="color:red;">\*</mark> | string  | Huisnummer van het object                                                                                                                       |
| addition                                      | string  | Huisnummertoevoeging                                                                                                                            |
| index                                         | boolean | Met 1 voegt u een ‘IndexedValue’ toe aan de laatst beschikbare WOZ-waarde geïndexeerd met de Kadasterindex naar de huidige maand. Standaard = 0 |
| cache                                         | boolean | Gebruik 0 om het ophalen uit de cache te overschrijven en een liveverzoek uit te voeren. Standaard = 1                                          |

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
	"Output": {
		"BagID": "499010002023718",
		"PostCode": "2771DS",
		"HouseNumber": "87",
		"HouseAddition": null,
		"HouseAddress": "2771DS-87-",
		"City": "Boskoop",
		"Street": "Zuidkade",
		"HouseType": "woonfunctie",
		"BuildYear": 1961,
		"OuterSurfaceArea": 1605,
		"Longitude": 4.65808526945334,
		"Latitude": 52.068393816655316,
		"WOZ-source_date": "2023-03-21",
		"wozvalue": [
			{
				"Date": "01-01-2022",
				"Value": "630000",
				"IndexedValue": "644942"
			},
			{
				"Date": "01-01-2021",
				"Value": "551000"
			},
			{
				"Date": "01-01-2020",
				"Value": "518000"
			},
			{
				"Date": "01-01-2019",
				"Value": "498000"
			},
			{
				"Date": "01-01-2018",
				"Value": "490000"
			},
			{
				"Date": "01-01-2017",
				"Value": "469000"
			},
			{
				"Date": "01-01-2016",
				"Value": "430000"
			}
		]
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
  "detail": {
    "Output": "The combination of postcode, house number and house addition  does not exist or have no WOZ."
  }
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
  "detail": [
    {
      "loc": [
        "body",
        "postcode"
      ],
      "msg": "Unsupported postcode length, it should be six.",
      "type": "value_error"
    }
  ]
}
```

{% endtab %}

{% tab title="429: Too Many Requests Limiet overschreden" %}

```
API key limit exceeded
```

{% endtab %}
{% endtabs %}

## Ontvang WOZ-waardes met een BAGID verzoek

<mark style="color:blue;">`GET`</mark> `https://api.altum.ai/woz?bag_id={bag_id}`

This endpoint responds with the latest WOZ values from our database. The GET Method requires a query parameter(bag\_id) with the value being the actual 16-character BAGID.

#### Query Parameters

| Name                                      | Type   | Description                             |
| ----------------------------------------- | ------ | --------------------------------------- |
| bag\_id<mark style="color:red;">\*</mark> | string | BAG-ID van 16 cijfers"0402010001567022" |

#### Headers

| Name                                        | Type   | Description                                                              |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| Content-Type                                | string | application/json                                                         |
| x-api-key<mark style="color:red;">\*</mark> | string | API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
  "Output": {
    "BagID": "0622010000065935",
    "PostCode": "3136KZ",
    "HouseNumber": "832",
    "HouseAddition": null,
    "HouseAddress": "3136KZ-832-",
    "City": "Vlaardingen",
    "Street": "Aalscholverlaan",
    "HouseType": "woonfunctie",
    "BuildYear": 1969,
    "OuterSurfaceArea": 1412,
    "Longitude": 4.350730676835097,
    "Latitude": 51.93255387951979,
    "WOZ-source_date": "2020-12-22",
    "wozvalue": [
      {
        "Date": "01-01-2019",
        "Value": 157000
      },
      {
        "Date": "01-01-2018",
        "Value": 133000
      },
      {
        "Date": "01-01-2017",
        "Value": 122000
      },
      {
        "Date": "01-01-2016",
        "Value": 122000
      },
      {
        "Date": "01-01-2015",
        "Value": 122000
      },
      {
        "Date": "01-01-2014",
        "Value": 132000
      }
    ]
  }
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
	"detail": [
		{
			"loc": [
				"query",
				"bag_id"
			],
			"msg": "ensure this value has at least 16 characters",
			"type": "value_error.any_str.min_length",
			"ctx": {
				"limit_value": 16
			}
		}
	]
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
  "detail": [
    {
      "loc": [
        "body",
        "postcode"
      ],
      "msg": "Unsupported postcode length, it should be six.",
      "type": "value_error"
    }
  ]
}
```

{% endtab %}

{% tab title="429: Too Many Requests Limiet overschreden" %}

```
API key limit exceeded
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Voor **POST** verzoeken: stel cache in op 0 om nieuwe, realtime waarden op te halen uit de cache als bron. Let op: dit kan van invloed zijn op de laadtijd.
{% endhint %}

## GRATIS Ping voor beschikbaarheid

## Plaats objectgegevens om de beschikbaarheid van WOZ-waarden te ontvangen

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/woz/ping`

Met dit eindpunt kunt u de beschikbaarheid van de nieuwste WOZ-waarden uit onze database opvragen. Voor een POST-verzoek is een bodyparameter (Adres) vereist.

#### Headers

| Name                                        | Type   | Description                                                              |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| Content-Type                                | string | application/json                                                         |
| x-api-key<mark style="color:red;">\*</mark> | string | API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |

#### Request Body

| Name                                          | Type    | Description                                                                                                                                     |
| --------------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string  | Postcode van het object                                                                                                                         |
| housenumber<mark style="color:red;">\*</mark> | string  | Huisnummer van het object                                                                                                                       |
| addition                                      | string  | Huisnummertoevoeging                                                                                                                            |
| index                                         | boolean | Met 1 voegt u een ‘IndexedValue’ toe aan de laatst beschikbare WOZ-waarde geïndexeerd met de Kadasterindex naar de huidige maand. Standaard = 0 |
| cache                                         | boolean | Gebruik 0 om het ophalen uit de cache te overschrijven en een liveverzoek uit te voeren. Standaard = 1                                          |

{% tabs %}
{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="200: OK Succesvolle reactie" %}

```
{ 
        "Output": "WOZ data for 1616EG-130- is available.", 
        "Latest Date": "01-01-2021" 
} 
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaatinput format" %}

```
{
  "detail": [
    {
      "loc": [
        "body",
        "postcode"
      ],
      "msg": "Unsupported postcode length, it should be six.",
      "type": "value_error"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
  "postcode": "2771DS",
  "housenumber": "87",
  "addition": "",
  "index": 1,
  "cache": 0
}
```

## Vraag aanvraag aan

#### Voorbeeld verzoek

```
https://api.altum.ai/woz?bag_id=0402010001567022
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/woningdata/woz-api/authentication-input-and-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
